%define major		4
%define libname		%mklibname pst %{major}
%define develname	%mklibname pst -d

Summary:	Utilities to convert Outlook .pst files to other formats
Name:		libpst
Epoch:		1
Version:	0.6.75
Release:	%mkrel 5
License:	GPLv2+
Group:		Networking/Mail
URL:		http://www.five-ten-sg.com/%{name}/
Source:		http://www.five-ten-sg.com/%{name}/packages/%{name}-%{version}.tar.gz
BuildRequires:	ImageMagick
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libgsf-1)

Requires:	ImageMagick
Requires:	%{libname} = %{epoch}:%{version}

%description
The Libpst utilities include readpst which can convert email messages
to both mbox and MH mailbox formats, pst2ldif which can convert the
contacts to .ldif format for import into ldap databases, and pst2dii
which can convert email messages to the DII load file format used by
Summation.

%package -n	%{libname}
Summary:	A shared library for .pst files support
Group:		System/Libraries

%description -n	%{libname}
Library needed for running libpst tools.

%package -n	%{develname}
Summary:	Library and header files for the libpst library
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}
Requires:	%{libname} = %{epoch}:%{version}

%description -n	%{develname}
Library and header files for the libpst library.

%package -n python3-%name
Summary:	Python 3 binding for the libpst library
Group:		Development/Python
Requires:	%libname = %epoch:%version-%release

Obsoletes:	python-libpst < 1:0.6.61-18
Provides:	python-libpst = %epoch:%version-%release

%description -n	python3-%name
Python 3 module for using pst files.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
  --enable-libpst-shared \
  --enable-shared \
  --disable-static \
  --with-boost-python=boost_python%{python3_version_nodots}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/libpst-4/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%name
%{python3_sitearch}/_libpst.so


%changelog
* Thu Dec 31 2020 wally <wally> 1:0.6.75-5.mga8
+ Revision: 1666778
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1:0.6.75-4.mga8
+ Revision: 1662020
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 1:0.6.75-3.mga8
+ Revision: 1578075
- rebuild for boost 1.73.0

* Fri Mar 27 2020 daviddavid <daviddavid> 1:0.6.75-2.mga8
+ Revision: 1560913
- new version: 0.6.75

* Thu Feb 20 2020 umeabot <umeabot> 1:0.6.74-2.mga8
+ Revision: 1546230
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 daviddavid <daviddavid> 1:0.6.74-1.mga8
+ Revision: 1486194
- new version: 0.6.74

* Sun Jan 26 2020 wally <wally> 1:0.6.72-5.mga8
+ Revision: 1483392
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Sun Oct 13 2019 daviddavid <daviddavid> 1:0.6.72-4.mga8
+ Revision: 1452463
- rebuild for python3.8

* Tue Jan 08 2019 daviddavid <daviddavid> 1:0.6.72-3.mga7
+ Revision: 1352746
- rebuild for new Python 3.7

* Tue Oct 16 2018 wally <wally> 1:0.6.72-2.mga7
+ Revision: 1321057
- rebuild for new boost 1.68.0

* Sun Aug 26 2018 daviddavid <daviddavid> 1:0.6.72-1.mga7
+ Revision: 1254747
- new version: 0.6.72
- rename and rediff linkage patch
- switch to Python 3

* Sat Jun 09 2018 wally <wally> 1:0.6.61-17.mga7
+ Revision: 1235765
- fix build on aarch64
- use new make macros

* Mon Dec 25 2017 wally <wally> 1:0.6.61-16.mga7
+ Revision: 1184756
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1:0.6.61-15.mga7
+ Revision: 1178340
- rebuild for boost 1.65

* Sat Sep 16 2017 tv <tv> 1:0.6.61-13.mga7
+ Revision: 1154538
- rebuild with latest boost

* Sat Dec 26 2015 daviddavid <daviddavid> 1:0.6.61-12.mga6
+ Revision: 915366
- rebuild for new boost 1.60.0
- use new python macros

* Sat Sep 26 2015 barjac <barjac> 1:0.6.61-11.mga6
+ Revision: 884037
- rebuild for boost-1.59.0
- tidy spec tabs/spaces
- remove obsolete Obsoletes: and Provides:

* Fri Jul 31 2015 daviddavid <daviddavid> 1:0.6.61-10.mga6
+ Revision: 860023
- rebuild for new boost-1.58.0

* Mon Feb 16 2015 oden <oden> 1:0.6.61-9.mga5
+ Revision: 815148
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1:0.6.61-8.mga5
+ Revision: 742689
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:0.6.61-7.mga5
+ Revision: 726843
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1:0.6.61-6.mga5
+ Revision: 724881
- define Epoch before it's used
+ oden <oden>
- attempt to fix: libpst-0.6.61-4.mga5.x86_64 (due to unsatisfied lib64pst4[== %%{epoch}:0.6.61])

* Tue Sep 16 2014 umeabot <umeabot> 1:0.6.61-4.mga5
+ Revision: 681723
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 1:0.6.61-3.mga5
+ Revision: 586671
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 1:0.6.61-2.mga4
+ Revision: 531649
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 sander85 <sander85> 1:0.6.61-1.mga4
+ Revision: 464478
- New version: 0.6.61

* Mon Jul 08 2013 fwang <fwang> 1:0.6.59-2.mga4
+ Revision: 451135
- rebuild for new boost

* Tue May 28 2013 fwang <fwang> 1:0.6.59-1.mga4
+ Revision: 429343
- add br
- new version 0.6.59

* Tue May 28 2013 oden <oden> 1:0.6.55-5.mga4
+ Revision: 429285
- rebuilt against libgd.so.3

* Wed Apr 10 2013 malo <malo> 1:0.6.55-4.mga3
+ Revision: 409464
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 1:0.6.55-3.mga3
+ Revision: 358012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1:0.6.55-2.mga3
+ Revision: 333069
- rebuild for new boost

* Fri Sep 14 2012 fwang <fwang> 1:0.6.55-1.mga3
+ Revision: 293756
- new version 0.6.55

* Wed Aug 01 2012 fwang <fwang> 1:0.6.54-3.mga3
+ Revision: 276865
- rebuild for new boost

* Tue May 29 2012 ovitters <ovitters> 1:0.6.54-2.mga3
+ Revision: 249437
- rebuild due to new boost

* Tue Jan 03 2012 fwang <fwang> 1:0.6.54-1.mga2
+ Revision: 189945
- new version 0.6.54

* Mon Nov 28 2011 fwang <fwang> 1:0.6.53-2.mga2
+ Revision: 173622
- rebuild for new boost
- rebuild for new boost
+ tv <tv>
- new release
- disabled static build

* Wed Jun 29 2011 fwang <fwang> 1:0.6.52-1.mga2
+ Revision: 115631
- new version 0.6.52

* Wed Jun 22 2011 fwang <fwang> 1:0.6.49-3.mga2
+ Revision: 112071
- use mt flavour of boost
- rebuild for new boost

* Sun Jan 23 2011 pterjan <pterjan> 1:0.6.49-2.mga1
+ Revision: 35407
- imported package libpst


* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.49-2mdv2011.0
+ Revision: 593342
- rebuild for new python 2.7

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.49-1mdv2011.0
+ Revision: 582006
- update to new version 0.6.49

* Sat Sep 04 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.48-1mdv2011.0
+ Revision: 575877
- update to new version 0.6.48

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1:0.6.47-2mdv2011.0
+ Revision: 572245
- rebuild for new boost

* Sat Aug 07 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.47-1mdv2011.0
+ Revision: 567293
- update to new version 0.6.47

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 1:0.6.46-2mdv2011.0
+ Revision: 566293
- rebuild for new boost

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 1:0.6.46-1mdv2010.1
+ Revision: 506451
- new version

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1:0.6.45-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1:0.6.45-2mdv2010.1
+ Revision: 500297
- use patch rather than env

* Thu Dec 24 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.45-1mdv2010.1
+ Revision: 482019
- update to new version 0.6.45

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.44-1mdv2010.0
+ Revision: 447187
- update to new version 0.6.44

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1:0.6.41-3mdv2010.0
+ Revision: 418827
- rebuild for new libboost

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.41-2mdv2010.0
+ Revision: 402910
- fix python dep

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 1:0.6.41-1mdv2010.0
+ Revision: 401413
- update build deps
- new version
- drop patches
- new major
- update file list
- add python module

* Wed Mar 25 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-4mdv2009.1
+ Revision: 361174
- fix string format not literal (fix from upstream git)

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-3mdv2009.1
+ Revision: 360890
- add P0 to fix compatibility with evolution pst-import plugin

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-2mdv2009.1
+ Revision: 360848
- deal with epoch and libs

* Tue Mar 24 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.6.27-1mdv2009.1
+ Revision: 360817
- downgrade to 0.6.27, the current version has an incompatible ABI with evolution plugin
- drop uneeded patch

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-3mdv2009.1
+ Revision: 360553
- BR gettext-devel
- libpst replaces pst-utils
- diff P0 because define.h is not packaged

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-2mdv2009.1
+ Revision: 360504
- package libification

* Sun Mar 22 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.34-1mdv2009.1
+ Revision: 360420
- import libpst


